com.sun.grid.jgdi.configuration

## Interface User

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    UserImpl

      public interface User
      extends GEObject

  Java representation of the cull object UU_Type defined in sge_all_listsL.template

  Warning: The User class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getDefaultProject()` Get the value of the defaultProject attribute.
    `int` | `getDeleteTime()` Get the value of the deleteTime attribute.
    `int` | `getFshare()` Get the value of the fshare attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getOticket()` Get the value of the oticket attribute.
    `boolean` | `isSetDefaultProject()` Determine if any defaultProject attribute is set
    `boolean` | `isSetDeleteTime()` Determine if any deleteTime attribute is set
    `boolean` | `isSetFshare()` Determine if any fshare attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetOticket()` Determine if any oticket attribute is set
    `void` | `setDefaultProject(java.lang.String aDefaultProject)` Set the defaultProject attribute.
    `void` | `setDeleteTime(int aDeleteTime)` Set the deleteTime attribute.
    `void` | `setFshare(int aFshare)` Set the fshare attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOticket(int aOticket)` Set the oticket attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setOticket

          void setOticket(int aOticket)

      Set the oticket attribute.
      Parameters:
        `aOticket` - the new value for the oticket attribute

    - #### getOticket

          int getOticket()

      Get the value of the oticket attribute.
      Returns:
        the value of the oticket attribute

    - #### isSetOticket

          boolean isSetOticket()

      Determine if any oticket attribute is set
      Returns:
        `true` if the oticket attribute is set

    - #### setFshare

          void setFshare(int aFshare)

      Set the fshare attribute.
      Parameters:
        `aFshare` - the new value for the fshare attribute

    - #### getFshare

          int getFshare()

      Get the value of the fshare attribute.
      Returns:
        the value of the fshare attribute

    - #### isSetFshare

          boolean isSetFshare()

      Determine if any fshare attribute is set
      Returns:
        `true` if the fshare attribute is set

    - #### setDeleteTime

          void setDeleteTime(int aDeleteTime)

      Set the deleteTime attribute.
      Parameters:
        `aDeleteTime` - the new value for the deleteTime attribute

    - #### getDeleteTime

          int getDeleteTime()

      Get the value of the deleteTime attribute.
      Returns:
        the value of the deleteTime attribute

    - #### isSetDeleteTime

          boolean isSetDeleteTime()

      Determine if any deleteTime attribute is set
      Returns:
        `true` if the deleteTime attribute is set

    - #### setDefaultProject

          void setDefaultProject(java.lang.String aDefaultProject)

      Set the defaultProject attribute.
      Parameters:
        `aDefaultProject` - the new value for the defaultProject attribute

    - #### getDefaultProject

          java.lang.String getDefaultProject()

      Get the value of the defaultProject attribute.
      Returns:
        the value of the defaultProject attribute

    - #### isSetDefaultProject

          boolean isSetDefaultProject()

      Determine if any defaultProject attribute is set
      Returns:
        `true` if the defaultProject attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.